package com.chenyang.nse.bussiness.service.info.db;

import com.power.xml.entity.ColumnInfo;
import java.sql.Connection;
import java.util.List;
import java.util.Map;

public interface DatabaseTool {
   String ImportMethod();

   String ExportMethod();

   Map TargetParameter_normal();

   Map TargetParameter_normal1();

   Map TargetParameter_notNormal();

   List<StringBuffer> SynTriggersParam(Connection s_conn, Map map);

   List<StringBuffer> SynFunctionParam(Connection s_conn, Map map);

   List<StringBuffer> SynProcedureParam(Connection s_conn, Map map);

   ColumnInfo getPwc_columnInfo_target(Map map);

   ColumnInfo getPwc_columnInfo_source(Map map);

   List<StringBuffer> SynViewParam(Connection srcconn, Map map);

   String SynConstraintParam(Connection srcconn, Map map);

   String SynPartition(Connection s_conn, Map map);

   Map TargetParameter_normalEM();
}
